/******************** BASE STYLES ********************/
:root {
    --smbc-green: #508328;
    --smbc-bgGreen: #E8F5E9;
    --smbc-lightGreen: #e1ece2;
    --smbc-mediumGreen: #7ac143;
    --smbc-darkGreen: #1c4c1c;
    --smbc-lightBlue: #00b5e2;
    --black: #000000;
    --smbc-black: #1c212c;
    --smbc-darkGrey: #2e2e2e;
    --smbc-mediumGrey: #595959;
    --smbc-lightGrey: #e4e9f4;
    --smbc-darkWhite: #f0f4ff;
    --smbc-warmWhite: #f5f5f7;
    --white: #ffffff;
    --transparent: transparent;
    --text-sm: 0.875rem;
    --text-lg: 1.125rem;
    --text-xl: 1.25rem;
}
.button, .button:visited {
    background-color: var(--smbc-darkGreen);
    border-color: var(--smbc-darkGreen);
    border-radius: 8px;
    color: var(--white);
}
.button:hover, .button:visited:hover {
    background-color: var(--white);
    color: var(--smbc-darkGreen);
}
.button::before, .button:visited::before {
    border-radius: 10px;
}
.button:hover::before, .button--primary:hover::before {
    border-color: var(--smbc-darkGreen);
}
.button--white, .button--white:visited {
    border-color: var(--white);
    background-color: var(--white);
    color: var(--smbc-black);
}
.button--white:hover, .button--white:visited:hover {
    border-color: var(--white);
    background-color: var(--transparent);
    color: var(--white);
}
.button--white:hover::before {
    border-color: var(--white);
}
.button--block, .button--block:visited, 
.button--block.button, .button--block.button:visited {
    background-color: var(--smbc-darkGreen);
    border-color: var(--smbc-darkGreen);
    border-radius: 0.5rem;
    color: var(--white);
}
.button--block::before, .button--block::before:visited, 
.button--block.button::before, .button--block.button::before:visited {
    border-radius: 0.5rem;
}
.site-main {
    margin-bottom: 0;
}
.widget-image .image {
    border-bottom: none;
    border-radius: 0.75rem;
    margin: 0;
}
.widget-width--20 {
    width: 20%;
}
.widget-width--60 {
    width: 60%;
}

/* ---------- Headings and Sub-headings ---------- */
.widget__heading, h1, .editor h2 {
    color: var(--smbc-darkGreen);
}
.editor h3, .editor h4 {
    color: var(--smbc-darkGreen);
}


/******************** GLOBAL CUSTOM STYLES ********************/

/* ---------- Global Header & Footer ---------- */
.site-header, .site-footer,
.site-footer .nav--social-links .list__link {
    background-color: var(--smbc-darkGreen) !important;
}
.site-header .navigation-buttons .list__item .button:hover {
    background-color: unset;
}
.nav--social-links .list__link {
    border: 1px solid var(--smbc-darkGreen);
    background-color: var(--smbc-darkGreen);
    color: #fff;
}
.site-footer__group .list__link:hover, 
.site-footer__group .list__link:focus, 
.site-footer__group .list__link:active {
    text-decoration: none;
    opacity: 0.75;
    -webkit-transition: opacity .3s ease;
    -o-transition: opacity .3s ease;
    transition: opacity .3s ease;
}
.navigation-buttons {
    display: block;
}
.navigation-buttons .list--inline {
    justify-content: space-around;
}


/* ---------- Add LGC Award badge to the main header ---------- */
.site-header .identity::after {
    content: "";
    position: absolute;
    left: calc(100% + 2rem);
    top: 50%;
    transform: translateY(-50%);
    width: 165px;
    height: 57px;
    background: url('/images/LGC_AWARDS_2026_Artboard_WHITE_1.png') no-repeat center center;
    background-size: contain;
}

@media screen and (min-width: 769px) and (max-width: 900px) {
.site-header .identity::after {
    left: calc(100% + 1.125rem);
    width: 100px;
    height: 35px;
}
}

@media screen and (min-width: 599px) and (max-width: 625px) {
.site-header .identity::after {
    left: calc(100% + 1.125rem);
    width: 120px;
    height: 40px;
}
}
@media (max-width: 598px) {
.site-header .identity::after {
    position: static;
    transform: none;
    display: block;
    margin-top: 0.75rem;
    width: auto;
}
}


/* ---------- Main Nav - Toggle menu styles ---------- */
.menu-navigation .menu-navigation__inner {
    background-color: var(--smbc-darkGreen);
    background-image: url("/joinsandwell/images/Sandwell_Council__White_logo.png");
    background-repeat: no-repeat;
    background-position: left 2.5rem bottom 1.5rem;
    background-size: 150px auto;
    padding: 5.25rem 0 1.5rem;
}
.menu-navigation .container {
    padding: 0 2.5rem;
    width: 100%;
}
.menu-navigation .js-menu-toggle .toggle-icon::before, 
.menu-navigation .js-menu-toggle .toggle-icon::after, 
.menu-navigation .js-menu-toggle .toggle-icon .toggle-icon__line {
    background-color: var(--white);
}
.menu-navigation .list__item {
    position: relative;
    margin-bottom: 2.5rem;
    padding: 0.5rem 0;
}
.menu-navigation .list__item::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 2px;
    background: linear-gradient(90deg, var(--smbc-lightBlue), var(--smbc-mediumGreen)
    );
}

.menu-navigation .list__link, .menu-navigation .list__link:visited {
    background-image: none;
    color: var(--white);
    text-transform: uppercase;
    font-size: 1.125rem;
    font-weight: 500;
    letter-spacing: 0.1rem;
}
.menu-navigation .list__link:hover, .menu-navigation .list__link:focus {
    color: var(--smbc-mediumGreen);
}
.menu-navigation .list__item:last-child {
    margin-bottom: 2.5rem;
}
.menu-navigation .list__item:last-child::after {
    content: none;
}
.menu-navigation .list__item:last-child .list__link {
    display: block;
    padding: 0.75rem 1.5rem;
    border-radius: 0.375rem;
    border: 2px solid var(--white);
    background: linear-gradient(
        90deg,
        var(--smbc-lightBlue),
        var(--smbc-mediumGreen)
    );
    color: var(--white);
    font-size: 1.25rem;
    text-transform: capitalize;
    text-align: center;
    text-decoration: none;
    background-size: 200% 100%;
    transition:
        transform 0.2s ease,
        box-shadow 0.2s ease,
        background-position 0.4s ease;
}
.menu-navigation .list__item:last-child .list__link:hover,
.menu-navigation .list__item:last-child .list__link:focus-visible {
    transform: translateY(-2px);
    background-position: 100% 0;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

/* ---------- Footer elements rearrangement ---------- */
.site-footer__left {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 1.5rem;
}
.site-footer__social {
    grid-column: 1 / -1;
    grid-row: 1;
}
.site-footer .nav--social-links {
    margin-bottom: 0;
}
.site-footer__group {
    grid-column: 1 / -1;
    grid-row: 2;
}
.site-footer__rights {
    grid-column: 1;
    grid-row: 3;
    display: inline-flex;
    width: auto;
    margin: 0;
    position:relative;
}
.site-footer__rights::after {
    content: "|";
    position: absolute;
    right: -2rem;
    top: 50%;
    transform: translateY(-50%);
}
.site-footer__supplier {
    grid-column: 2;
    grid-row: 3;
    justify-self: start;
    padding-top: 0;
}

/* ---------- Replace footer website credits ---------- */
.site-footer__supplier .site-footer__link {
    font-size: 0;
    display: none;
}
.site-footer__supplier::after {
    content: "Designed and maintained by the Council Web Team";
    font-size: 14px;
    display: block;
}


/******************** PAGE-TYPE CUSTOM STYLES -  ********************/

/* ---------- Standalone/Category homepage - targets ABOUT, ROLES & APPLY pages ---------- */
.category-modular .page-header__content .page-header__content-left {
    max-width: 100%;
}
.category-modular .page__heading-container {
    justify-content: center;
    padding: 3rem 0;
}
.category-modular nav.breadcrumb {
    display: none;
}
.category-modular nav.breadcrumb .list--breadcrumb {
    display: flex;
    justify-content: center;
}


/******************** PAGE CUSTOM STYLES ********************/

/* ---------- Sections with page width breakout on ALL pages ---------- */
.page-content {
    /* margin-top: 0; */
}
/* Break-out rows - 1, 2 */
.page-content > .container:nth-child(1), 
.page-content > .container:nth-child(2), 
.page-content > .container:nth-child(3), 
.page-content > .container:nth-child(4), 
.page-content > .container:nth-child(5), 
.page-content > .container:nth-child(6), 
.page-content > .container:nth-child(7), 
.page-content > .container:nth-child(8), 
.page-content > .container:nth-child(9), 
.page-content > .container:nth-child(10) {
    max-width: 100vw;
}
.page-content > .container:nth-child(1) > .widget-row, 
.page-content > .container:nth-child(2) > .widget-row, 
.page-content > .container:nth-child(3) > .widget-row, 
.page-content > .container:nth-child(4) > .widget-row, 
.page-content > .container:nth-child(5) > .widget-row, 
.page-content > .container:nth-child(6) > .widget-row, 
.page-content > .container:nth-child(7) > .widget-row, 
.page-content > .container:nth-child(8) > .widget-row, 
.page-content > .container:nth-child(9) > .widget-row, 
.page-content > .container:nth-child(10) > .widget-row {
    max-width: 1280px;
    margin: 0 auto;
}
.page-content > .container > .widget-row {
    padding-top: 3rem;
    padding-bottom: 3rem;
}
.page-content > .container > .widget-row::after {
    content: none;
}
.page-content > .container > .widget-row > .widget-width {
    margin: 0;
    padding: 0;
}
.page-content > .container > .widget-row > .widget-width .editor {
    display: flex;
    flex-direction: column;
    flex: 1;
}



/* -------------------- HOMEPAGE -------------------- */

/* ---------- Section 6 & 7 Wrapper - 2-col row ---------- */
.page-content > .container:has(.styles6) > .widget-row {
    display: flex;
    padding: 4rem 0;
    gap: 10rem;
}
.page-content > .container .widget-row:has(.styles6):has(.styles7) {
    position: relative;
}
.page-content > .container .widget-row:has(.styles6):has(.styles7)::after {
    content: "";
    position: absolute;
    top: calc(50% - (70% / 2));
    bottom: 3rem;
    left: 50%;
    width: 1px;
    height: 70%;
    background: var(--smbc-lightGrey);
    transform: translateX(-50%);
}
.widget-width:has(.styles6) .editor > div:first-of-type,
.widget-width:has(.styles7) .editor > div:first-of-type {
    margin-top: 1.5rem;
}
.widget-row:has(.styles6):has(.styles7) .editor a:not(.button) {
    color: var(--smbc-green);
    text-decoration: underline;
}
.widget-row:has(.styles6):has(.styles7) .editor a:not(.button):hover {
    text-decoration: none;
}


/* -------------------- ABOUT US -------------------- */

/* ---------- Welcome - narrow column & centred ---------- */
.page-content:has(.styles29) > .container .widget-row:has(.styles3) {
    justify-content: center;
    text-align: left;
}
.page-content:has(.styles29) .widget-row:has(.styles3) h2 {
    font-size: 2rem;
    margin-bottom: 2rem;
}
.page-content:has(.styles29) .widget-row:has(.styles3) p:first-child {
    font-size: var(--text-xl);
}

/* ---------- Values - icon card grid ---------- */
.page-content:has(.styles29) > .container:has(.styles4),
.page-content:has(.styles29) > .container:has(.styles5){
    background-color: var(--smbc-lightGreen);
}
.page-content:has(.styles29) > .container > .widget-row:has(.styles5) {
    display: flex;
    align-items: stretch;
    padding: 1rem 0 4rem;
    gap: 1rem;
}
.page-content:has(.styles29) .widget-row:has(.styles5) > .widget-width {
    display: flex;
}
.page-content:has(.styles29) .widget-row:has(.styles5) > .widget-width .widget, 
.page-content:has(.styles29) .widget-row:has(.styles5) > .widget-width .widget-content {
    display: flex;
    width: 100%;
}
.page-content:has(.styles29) .styles5 {
    width: 100%
}
.page-content:has(.styles29) .widget-width:has(.styles5) .editor {
    background: var(--white);
    justify-content:flex-start;
}

